Altibase.jdbc.driver.spec4

## Class ClientSideClob

- java.lang.Object
- - Altibase.jdbc.driver.spec4.ClientSideLob
  - - Altibase.jdbc.driver.spec4.ClientSideClob

All Implemented Interfaces:
  OutputStreamWatcher, WriterWatcher, java.sql.Clob

    public class ClientSideClob
    extends ClientSideLob
    implements java.sql.Clob, WriterWatcher, OutputStreamWatcher

### Field Summary

Fields
`static int` `TEMPORARY_CLOB_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ClientSideClob()`
`ClientSideClob(java.nio.charset.Charset aCharSet, int aByteLengthPerChar)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `finalizeStream(java.nio.ByteBuffer aBuffer, int aLastPos)`
`void` `finalizeWriter(CharArrayClobWriter aOut)`
`void` `free()`
`java.io.InputStream` `getAsciiStream()`
`java.io.Reader` `getCharacterStream()`
`java.io.Reader` `getCharacterStream(long aPos, long aLength)`
`java.lang.String` `getSubString(long aPos, int aLength)`
`long` `length()`
`long` `position(java.sql.Clob aPatternClob, long aPos)`
`long` `position(java.lang.String aPattern, long aPos)`
`java.io.OutputStream` `setAsciiStream(long aPos)`
`java.io.Writer` `setCharacterStream(long aPos)`
`int` `setString(long aPos, java.lang.String aSource)`
`int` `setString(long aPos, java.lang.String aSource, int aOffset, int aLength)`
`void` `truncate(long aLength)`

### Methods inherited from class Altibase.jdbc.driver.spec4.ClientSideLob

`ensureIntRange, ensureOpen, setClosed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEMPORARY_CLOB_SIZE

    public static final int TEMPORARY_CLOB_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### ClientSideClob

    public ClientSideClob()

#### ClientSideClob

    public ClientSideClob(java.nio.charset.Charset aCharSet,
                          int aByteLengthPerChar)

### Method Detail

#### getAsciiStream

    public java.io.InputStream getAsciiStream()
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream()
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### getSubString

    public java.lang.String getSubString(long aPos,
                                         int aLength)
                                  throws java.sql.SQLException

Specified by:
  `getSubString` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### length

    public long length()
                throws java.sql.SQLException

Specified by:
  `length` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### position

    public long position(java.sql.Clob aPatternClob,
                         long aPos)
                  throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### position

    public long position(java.lang.String aPattern,
                         long aPos)
                  throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### setAsciiStream

    public java.io.OutputStream setAsciiStream(long aPos)
                                        throws java.sql.SQLException

Specified by:
  `setAsciiStream` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public java.io.Writer setCharacterStream(long aPos)
                                      throws java.sql.SQLException

Specified by:
  `setCharacterStream` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### setString

    public int setString(long aPos,
                         java.lang.String aSource)
                  throws java.sql.SQLException

Specified by:
  `setString` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### setString

    public int setString(long aPos,
                         java.lang.String aSource,
                         int aOffset,
                         int aLength)
                  throws java.sql.SQLException

Specified by:
  `setString` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### truncate

    public void truncate(long aLength)
                  throws java.sql.SQLException

Specified by:
  `truncate` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### free

    public void free()
              throws java.sql.SQLException

Specified by:
  `free` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream(long aPos,
                                             long aLength)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.Clob`
Throws:
  `java.sql.SQLException`

#### finalizeWriter

    public void finalizeWriter(CharArrayClobWriter aOut)

Specified by:
  `finalizeWriter` in interface `WriterWatcher`

#### finalizeStream

    public void finalizeStream(java.nio.ByteBuffer aBuffer,
                               int aLastPos)

Specified by:
  `finalizeStream` in interface `OutputStreamWatcher`